This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 963681 - Can we conditionalize /usr/lib/systemd/system/ksmtuned.service?
Can we conditionalize /usr/lib/systemd/system/ksmtuned.service?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 07:33 EDT by Lennart Poettering
Modified: 2013-05-31 23:20 EDT (History)
11 users (show)

See Also:
Fixed In Version: qemu-1.4.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 23:20:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2013-05-16 07:33:55 EDT
Currently, if qemu is installed it will unconditionally install ksmtuned.service and turn it on. Do we still need this? Doesn't the kernel do this automatically these days?

If this really shall stay, could we at least conditionalize it to run it only on the host, not in a VM? Please add ConditionVirtualization=no for that to the unit file.
Comment 1 Lennart Poettering 2013-05-16 07:34:48 EDT
Also see comments on:

https://lists.fedoraproject.org/pipermail/devel/2013-May/182750.html

(near the end).

Something similar applies to ksm.service of course.
Comment 2 Paolo Bonzini 2013-05-16 10:36:00 EDT
Definitely true that ksmtuned.service needs ConditionVirtualization=no.

ksm.service in principle could be used on non-virt usecases too, but in the end it makes sense to add it there too.
Comment 3 Cole Robinson 2013-05-25 14:35:39 EDT
I'll add ConditionVirtualization=no to ksm*.service

I'm also splitting KSM into its own subpackage, so it isn't pulled in for every qemu install. I don't think the average Fedora user gets much use from it, yet every few months for 3+ years I see a complaint like 'wtf is KSM and why is it using X% of my cpu?'

If people know what it is and want it, it's just a 'yum install ksm' away
Comment 4 Fedora Update System 2013-05-25 15:43:56 EDT
qemu-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-1.fc19
Comment 5 Fedora Update System 2013-05-26 12:59:59 EDT
Package qemu-1.4.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.4.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9287/qemu-1.4.2-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-27 09:13:32 EDT
qemu-1.4.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-2.fc19
Comment 7 Fedora Update System 2013-05-31 23:20:42 EDT
qemu-1.4.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.